Debian Bug report logs - #672529
libiscsi: FTBFS[kfreebsd] symbol diff

version graph

Package: src:libiscsi; Maintainer for src:libiscsi is Michael Tokarev <mjt@tls.msk.ru>;

Reported by: debian-bsd@lists.debian.org

Date: Fri, 11 May 2012 19:51:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version libiscsi/1.4.0-2

Fixed in version libiscsi/1.4.0-3

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>:
Bug#672529; Package src:libiscsi. (Fri, 11 May 2012 19:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Michael Tokarev <mjt@tls.msk.ru>. (Fri, 11 May 2012 19:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: libiscsi: FTBFS[kfreebsd] symbol diff
Date: Fri, 11 May 2012 21:49:45 +0200
Package: src:libiscsi
Version: 1.4.0-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

--- debian/symbols (libiscsi1_1.4.0-2_kfreebsd-amd64)
+++ dpkg-gensymbolsqS_1x1	2012-05-11 11:45:57.000000000 +0000
@@ -99,7 +99,7 @@
  iscsi_set_isid_reserved@Base 1.0
  iscsi_set_session_type@Base 1.0
  iscsi_set_targetname@Base 1.0
- iscsi_set_tcp_keepalive@Base 1.0
+#MISSING: 1.4.0-2# iscsi_set_tcp_keepalive@Base 1.0
  iscsi_synchronizecache10_sync@Base 1.0
  iscsi_synchronizecache10_task@Base 1.0
  iscsi_task_mgmt_abort_task_async@Base 1.0
dh_makeshlibs: dpkg-gensymbols -plibiscsi1 -Idebian/symbols -Pdebian/libiscsi1 -edebian/libiscsi1/usr/lib/x86_64-kfreebsd-gnu/libiscsi.so.1.0.10400
 returned exit code 1
make: *** [binary-arch] Error 2

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=libiscsi&arch=kfreebsd-amd64&ver=1.4.0-2&stamp=1336736791

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Fri, 11 May 2012 21:39:06 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Fri, 11 May 2012 21:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 672529-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 672529-close@bugs.debian.org
Subject: Bug#672529: fixed in libiscsi 1.4.0-3
Date: Fri, 11 May 2012 21:35:46 +0000
Source: libiscsi
Source-Version: 1.4.0-3

We believe that the bug you reported is fixed in the latest version of
libiscsi, which is due to be installed in the Debian FTP archive:

libiscsi-bin_1.4.0-3_i386.deb
  to main/libi/libiscsi/libiscsi-bin_1.4.0-3_i386.deb
libiscsi-dev_1.4.0-3_i386.deb
  to main/libi/libiscsi/libiscsi-dev_1.4.0-3_i386.deb
libiscsi1_1.4.0-3_i386.deb
  to main/libi/libiscsi/libiscsi1_1.4.0-3_i386.deb
libiscsi_1.4.0-3.debian.tar.gz
  to main/libi/libiscsi/libiscsi_1.4.0-3.debian.tar.gz
libiscsi_1.4.0-3.dsc
  to main/libi/libiscsi/libiscsi_1.4.0-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672529@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated libiscsi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 May 2012 00:24:43 +0400
Source: libiscsi
Binary: libiscsi1 libiscsi-dev libiscsi-bin
Architecture: source i386
Version: 1.4.0-3
Distribution: unstable
Urgency: low
Maintainer: Michael Tokarev <mjt@tls.msk.ru>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 libiscsi-bin - iSCSI client shared library - utilities
 libiscsi-dev - iSCSI client shared library
 libiscsi1  - iSCSI client shared library
Closes: 672529
Changes: 
 libiscsi (1.4.0-3) unstable; urgency=low
 .
   * patches/always-export-iscsi_set_tcp_keepalive.patch: always
     define and export the function, even on platform that does
     not support some or all TCP socket options. (Closes: #672529)
   * patches/export-only-required-symbols.patch: create a list of
     symbols which needs to be exported, and use it with libtool.
   * remove unnecessary symbols from debian/symbols and rename it
     to debian/libiscsi1.symbols.
   * simplify/cleanup debian/rules, and explicitly use
       dpkg-architecture -qDEB_HOST_MULTIARCH
   * add debian/.gitignore
Checksums-Sha1: 
 819ba65fcef5280fd63ad52799b5fea259173eae 1306 libiscsi_1.4.0-3.dsc
 9abfd4ee25245b01fc9b0dd93bf795d38f40d415 5526 libiscsi_1.4.0-3.debian.tar.gz
 87adbb323fa4f2f84cc2231908fa8362e4bd2d36 39276 libiscsi1_1.4.0-3_i386.deb
 df5ae2c9ba7f80685380014bfdafa536c5de76a0 49072 libiscsi-dev_1.4.0-3_i386.deb
 2b8e6c0c1fd4c6da2000486f6b3fe720e15d96f4 11650 libiscsi-bin_1.4.0-3_i386.deb
Checksums-Sha256: 
 1f5a3fb7cdc203e9793d145ec5aeacded9e5287d2a51c108e95aea2f9f44a812 1306 libiscsi_1.4.0-3.dsc
 6e6c223297318fa96632730cfcbc7335163407c3d6992780ab0b52caabff2834 5526 libiscsi_1.4.0-3.debian.tar.gz
 3c229a97b34bf9c08eefe0b4c450ca555203b13d59d52ad222e622d5264662cf 39276 libiscsi1_1.4.0-3_i386.deb
 ab5e5e66315a5e22a26b712e23dfb15f610417f248f450f04f15f8fd31c2e9c2 49072 libiscsi-dev_1.4.0-3_i386.deb
 8b95a2e9eeff52d17fc1cd2e4dad76fb048786c4aa3b466195ccfba4b403ea5e 11650 libiscsi-bin_1.4.0-3_i386.deb
Files: 
 7fc2b08fcb26fc3cc06c74b782de6e03 1306 net optional libiscsi_1.4.0-3.dsc
 83ee93a2d5e525e372ede340db6c971d 5526 net optional libiscsi_1.4.0-3.debian.tar.gz
 64337b57c50b20bc403c2a0bb1f55a55 39276 libs optional libiscsi1_1.4.0-3_i386.deb
 79c5cde5dc753e5dbfb634653bf483d0 49072 libdevel optional libiscsi-dev_1.4.0-3_i386.deb
 b0a9a02c25fec62304d6ad24af5d06c2 11650 net optional libiscsi-bin_1.4.0-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAk+tgKUACgkQUlPFrXTwyDgLRwQAqa3/FhW+WqGXgrO8xVTG2+w3
5jFKkcV5G8mDv2iIESMLMYEcIW7pBv7WkrgJ4T0cwh5m0KGI7X7ESylA0c9wNvAB
WK3Ns0QZHrjVvO8TwlytIgd3/zVi8m3xIZii6iuax0BQqIg9z7vGUen2hLcrQDVx
Kn3AF45EeYPARFzHu3Y=
=vIqr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2012 07:38:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:14:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.